QwtPolarPicker(3)

NAME
QwtPolarPicker - QwtPolarPicker provides selections on a plot canvas.

SYNOPSIS

#include <qwt_polar_picker.h>

Inherits QwtPicker.

  Signals
void selected (const QwtPointPolar &pos)
void selected (const QVector< QwtPointPolar > &points)
void appended (const QwtPointPolar &pos)
void moved (const QwtPointPolar &pos)

  Public Member Functions
QwtPolarPicker (QwtPolarCanvas *)
Create a polar plot picker.
virtual ~QwtPolarPicker ()
Destructor.
QwtPolarPicker (RubberBand rubberBand, DisplayMode trackerMode, QwtPolarCanvas *)
QwtPolarPlot * plot ()
const QwtPolarPlot * plot () const
QwtPolarCanvas * canvas ()
const QwtPolarCanvas * canvas () const
virtual QRect pickRect () const

  Protected Member Functions
QwtPointPolar invTransform (const QPoint &) const
virtual QwtText trackerText (const QPoint &) const override
virtual QwtText trackerTextPolar (const QwtPointPolar &) const
Translate a position into a position string.
virtual void move (const QPoint &) override
virtual void append (const QPoint &) override
virtual bool end (bool ok=true) override

  Private Member Functions
virtual QPainterPath pickArea () const override

  Additional Inherited Members

Detailed Description

QwtPolarPicker provides selections on a plot canvas. QwtPolarPicker is a QwtPicker tailored for selections on a polar plot canvas.

Definition at line 28 of file qwt_polar_picker.h.

Constructor & Destructor Documentation

  QwtPolarPicker::QwtPolarPicker (QwtPolarCanvas * canvas) [explicit]

Create a polar plot picker.

Parameters
    canvas Plot canvas to observe, also the parent object

Definition at line 25 of file qwt_polar_picker.cpp.

  QwtPolarPicker::QwtPolarPicker (RubberBand rubberBand, DisplayMode trackerMode, QwtPolarCanvas * canvas) [explicit]
Create a plot picker

Parameters
    rubberBand Rubberband style
    trackerMode Tracker mode
    canvas Plot canvas to observe, also the parent object

See also
    QwtPicker, QwtPicker::setSelectionFlags(), QwtPicker::setRubberBand(), QwtPicker::setTrackerMode

    QwtPolarPlot::autoReplot(), QwtPolarPlot::replot(), scaleRect()

Definition at line 43 of file qwt_polar_picker.cpp.

Member Function Documentation

  void QwtPolarPicker::append (const QPoint & pos) [override], [protected], [virtual]
Append a point to the selection and update rubberband and tracker.

Parameters
    pos Additional point

See also
    isActive, begin(), end(), move(), appended()

Note
    The appended(const QPoint &), appended(const QDoublePoint &) signals are emitted.

Reimplemented from QwtPicker.

Definition at line 128 of file qwt_polar_picker.cpp.

  void QwtPolarPicker::appended (const QwtPointPolar & pos) [signal]
A signal emitted when a point has been appended to the selection

Parameters
    pos Position of the appended point.

See also
    append(). moved()

  QwtPolarCanvas * QwtPolarPicker::canvas ()

Returns
    Observed plot canvas

Definition at line 56 of file qwt_polar_picker.cpp.

  const QwtPolarCanvas * QwtPolarPicker::canvas () const

Returns
    Observed plot canvas

Definition at line 62 of file qwt_polar_picker.cpp.

  bool QwtPolarPicker::end (bool ok = true) [override], [protected], [virtual]
Close a selection setting the state to inactive.

Parameters
    ok If true, complete the selection and emit selected signals otherwise discard the selection.

Returns
    true if the selection is accepted, false otherwise

Reimplemented from QwtPicker.

Definition at line 157 of file qwt_polar_picker.cpp.

  QwtPointPolar QwtPolarPicker::invTransform (const QPoint & pos) const [protected]
Translate a point from widget into plot coordinates

Parameters
    pos Point in widget coordinates of the plot canvas

Returns
    Point in plot coordinates

See also
    transform(), canvas()

Definition at line 208 of file qwt_polar_picker.cpp.

  void QwtPolarPicker::move (const QPoint & pos) [override], [protected], [virtual]
Move the last point of the selection

Parameters
    pos New position

See also
    isActive, begin(), end(), append()

Note
    The moved(const QPoint &), moved(const QDoublePoint &) signals are emitted.

Reimplemented from QwtPicker.

Definition at line 143 of file qwt_polar_picker.cpp.

  void QwtPolarPicker::moved (const QwtPointPolar & pos) [signal]
A signal emitted whenever the last appended point of the selection has been moved.

Parameters
    pos Position of the moved last point of the selection.

See also
    move(), appended()

  QPainterPath QwtPolarPicker::pickArea () const [override], [private], [virtual]
Find the area of the observed widget, where selection might happen.

Returns
    parentWidget()->contentsRect()

Reimplemented from QwtPicker.

Definition at line 229 of file qwt_polar_picker.cpp.

  QRect QwtPolarPicker::pickRect () const [virtual]

Returns
    Bounding rectangle of the region, where picking is supported.

Definition at line 221 of file qwt_polar_picker.cpp.

  QwtPolarPlot * QwtPolarPicker::plot ()

Returns
    Plot widget, containing the observed plot canvas

Definition at line 68 of file qwt_polar_picker.cpp.

  const QwtPolarPlot * QwtPolarPicker::plot () const

Returns
    Plot widget, containing the observed plot canvas

Definition at line 78 of file qwt_polar_picker.cpp.

  void QwtPolarPicker::selected (const QVector< QwtPointPolar > & points) [signal]
A signal emitting the selected points, at the end of a selection.

Parameters
    points Selected points

  void QwtPolarPicker::selected (const QwtPointPolar & pos) [signal]
A signal emitted in case of selectionFlags() & PointSelection.

Parameters
    pos Selected point

  QwtText QwtPolarPicker::trackerText (const QPoint & pos) const [override], [protected], [virtual]
Translate a pixel position into a position string

Parameters
    pos Position in pixel coordinates

Returns
    Position string

Reimplemented from QwtPicker.

Definition at line 93 of file qwt_polar_picker.cpp.

  QwtText QwtPolarPicker::trackerTextPolar (const QwtPointPolar & pos) const [protected], [virtual]

Translate a position into a position string. In case of HLineRubberBand the label is the value of the y position, in case of VLineRubberBand the value of the x position. Otherwise the label contains x and y position separated by a ',' .

The format for the double to string conversion is '%.4f'.

Parameters
    pos Position

Returns
    Position string

Definition at line 111 of file qwt_polar_picker.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.